Subject: Re: [dhcwg] draft-yan-dhc-dhcpv6-opt-dnszone-02.txt

From: "CTO YAN Renxiang" <[email-masked]>
Date: Mon, 21 Feb 2005 11:14:46 +0800

Thanks for the good comments, and sorry for the late reply due to the holiday.
Please see my comments below.

> -----Original message-----
> From: [email-masked] [mailto:[email-masked]] Ted
> Lemon
> Sent: 2005-2-11 4:19
> To: [email-masked]
> Subject: Re: [dhcwg] draft-yan-dhc-dhcpv6-opt-dnszone-02.txt
> 
> 
> This draft uses the term "zone" when it really should use the term 
> "domain".   In DNS, a zone is a container for a hierarchy of labels.
> Not every string of labels represents a zone.   So for example, it's 
> quite possible to have a domain like "eng.example.com" which 
> is a valid suffix for a hostname like "foo.eng.example.com", but where 
> there is no zone cut at "eng.example.com", so the *zone* for 
> "foo.eng.example.com" is "example.com", whereas the domain suffix is 
> "eng.example.com."
> 
> So the option should be the "domain suffix" option, not the "zone 
> suffix" option.
 
Agreed.

> I don't understand why the section entitled "Example and applicability" 
> is there - I don't think the example will help the reader to understand 
> what this option is for, and in fact it is likely to mislead the reader 
> into thinking this option isn't one that they can use.   I would 
> suggest simply removing this section.
> 
The option proposed in this draft is used to make the configuration of the domain
suffix automatic. It's typically used in the case where a domain suffix needed to be
configured in a large number of the devices. The example given in this section is a
typical case, in which domain suffix option should be configured in every CPE. So
I think it would be helpful for reader to understand what this option is for. 
I would like to change the titile "example and applicability" to "example" to avoid the
potential misunderstanding of the applicability.

> Also, in several places in the draft the following statement is made:
> 
>   This can avoid frequent domain name conflicts when performing DNS update
>   in large network.
> 
> I don't think it's helpful to say this, first because I don't think 
> this is a very good strategy for avoiding domain name conflicts, and 
> second because, again, this is a very narrow view of what the option 
> does, and might tend to lead the reader away from using the 
> option.   I would just take this out.
> 
> I would change the Usage text as follows:
> 
>      In stateful DHCPv6 [RFC3315], the DHCPv6 server MAY place a domain
>      suffix option in the options field of any IA or IA_PD option in an
>      outgoing DHCPv6 message.   The DHCPv6 server MUST NOT place a domain
>      suffix option in any other portion of a stateful DHCPv6 message.
> 
>      In stateless DHCPv6 [??], the DHCPv6 server MAY place a domain suffix
>      option in the main option buffer of any DHCPv6 message sent to a client.
> 
>      A DHCPv6 server may provide different values for the domain suffix
>      option to different clients.   The mechanism for choosing which suffix
>      to assign to which client is a matter of implementation and administrative
>      policy, and is therefore not specified in this document.
> 
Good, I will make revision in the new version.

> One thing I noticed in tweaking this section is that you refer only to 
> the IA_PD option, but you actually never talk about prefix delegation 
> in the introduction - in the introduction you talk only about regular 
> DHCPv6 clients.   This inconsistency creates a bit of confusion for me 
> - I think mentioning both IA_PD and IA options in the Usage section 
> helps, but you might also want to tweak the introduction.
> 
I think prefix delegation is not a strange concept for most readers. It seem that talking
about prefix delegation in the introduction may invoke confusion. I have already reminded
reader of  referring RFC3633 in 1.1. 

Mentioning both IA_PD and IA options in the usage section is not proper. I've negotiate this 
usage with Bernie before. The FQDN option can be used to carry domain suffix in stateful
DHCPv6. So it may cause confliction in using both FQDN and domain suffix option.

Thanks for the comments again!

Best regards,
-Renxiang

> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg